/* nowe menuuuu*/

a {
	text-decoration: none;
	color: rgb(255, 255, 255);
}
#header {
	background: #000000;
	width: 100%;
	position: relative;
}
#header:after {
	content: '';
	clear: both;
	display: block;
}
.search {
	float: right;
	padding: 30px;
}
input {
	border: none;
	padding: 10px;
	border-radius: 20px;
}
.logo {
	float: left;
	padding: 15px 0 15px;
}
.logo a {
	font-size: 28px;
	display: block;
	padding: 0 0 0 20px;
}
nav {
	float: right;
	margin-right: 20px;
	margin-top: 15px;
}
nav > ul {
	float: left;
	position: relative;
}
nav li {
	list-style: none;
	float: left;
}
nav .dropdown {
	position: relative;
	z-index: 2;
}
nav li a {
	float: left;
	padding-top: 35px;
	padding-left: 20px;
	padding-right: 10px;
}
nav li a:hover {
	background: #000000;
	color: #ffffff;
}
nav li ul {
	display: none;
}
nav li:hover ul {
	display: inline;
}
nav li li {
	float: none;
}
nav .dropdown ul {
	position: absolute;
	left: 0;
	top: 100%;
	background: rgb(255, 255, 255);
	padding: 20px 0;
	border-bottom: 3px solid #34495e;
}
nav .dropdown li {
	white-space: nowrap;
}
nav .dropdown li a {
	padding: 10px 35px;
	font-size: 13px;
	min-width: 200px;
}
nav .mega-dropdown {
	width: 100%;
	position: absolute;
	top: 100%;
	left: 0;
	background: #fff;
	overflow: hidden;
	padding: 20px 35px;
	border-bottom: 3px solid #000000;
}
nav li li a {
	float: none;
	color: rgb(0, 0, 0);
	display: block;
	padding: 8px 10px;
	border-radius: 3px;
	font-size: 13px;
}
nav li li a:hover {
	background: #000000;
	background: #000000;
}
.mega-col {
	width: 25%;
	float: left;
}
#menu-icon {
	position: absolute;
	right: 0;
	top: 65%;
	margin-top: -12px;
	margin-right: 30px;
	display: none;
}
#menu-icon span {
	border: 2px solid rgb(255, 255, 255);
	width: 60px;
	margin-bottom: 12px;
	display: block;
	-webkit-transition: all 0.2s;
	transition: all 0.1s;
}
@media only screen and (max-width: 1470px) {
	nav > ul > li > a {
		padding: 35px 15px;
	}
}
@media only screen and (min-width: 1450px) {
	nav {
		display: block !important;
	}
}
@media only screen and (max-width: 1300px) {
	nav {
		display: none;
		width: 100%;
		clear: both;
		float: none;
		max-height: 400px;
		overflow-y: scroll;
	}
	#menu-icon {
		display: inline;
		top: 45px;
		cursor: pointer;
	}
	#menu-icon.active .first {
		transform: rotate(45deg);
		-webkit-transform: rotate(45deg);
		margin-top: 10px;
	}
	#menu-icon.active .second {
		transform: rotate(135deg);
		-webkit-transform: rotate(135deg);
		position: relative;
		top: -9px;
	}
	#menu-icon.active .third {
		display: none;
	}
	.search {
		float: none;
	}
	.search input {
		width: 100%;
	}
	nav {
		padding: 10px;
	}
	nav ul {
		float: none;
	}
	nav li {
		float: none;
	}
	nav ul li a {
		float: none;
		padding: 8px;
		display: block;
	}
	#header nav ul ul {
		display: block;
		position: static;
		background: none;
		border: none;
		padding: 0;
	}
	#header nav a {
		color: rgb(255, 255, 255);
		padding: 8px;
	}
	#header nav a:hover {
		background: rgb(77, 127, 177);
		color: rgb(255, 255, 255);
		border-radius: 3px;
	}
	#header nav ul li li a:before {
		content: '- ';
	}
	.mega-col {
		width: 100%;
	}
}
nav ul li a {
	position: relative; /* Ustawienie pozycji względnej dla linków */
}

nav ul li .menu-item::after {
	content: '';
	position: absolute;
	width: 100%;
	transform: scaleX(0);
	height: 2px;
	bottom: 0;
	left: 0;
	background-color: #fff; /* Kolor podkreślenia */
	transform-origin: bottom right;
	transition: transform 0.5s ease-out;
}

/* Animacja podkreślenia przy najechaniu tylko dla elementów z klasą .menu-item */
nav ul li .menu-item:hover::after {
	transform: scaleX(1);
	transform-origin: bottom left;
}

/* Animacja podkreślenia przy najechaniu */
nav ul li a:hover::after {
	transform: scaleX(1);
	transform-origin: bottom left;
}
.phone-number {
	background-color: #fff; /* Białe tło */
	color: #000 !important; /* Czarny tekst */
	padding: 10px 20px; /* Padding dookoła tekstu */
	border-radius: 5px; /* Zaokrąglone rogi */
	transition: box-shadow 0.3s ease-in-out; /* Animacja dla efektu pulsującego tła */
	margin-top: 25px;
	margin-left: 25px;
}

/* Efekt pulsującego tła przy najechaniu */
.phone-number:hover {
	box-shadow: 0 0 15px 5px rgba(255, 255, 255, 0.7); /* Pulsujące tło */
	background-color: #fff;
	color: #000;
	text-decoration: none;
}
@media only screen and (max-width: 1300px) {
	.phone-number {
		background-color: #ffffff; /* kolor tła */
		color: #000000; /* Czarny tekst */
		padding: 10px 20px; /* Padding dookoła tekstu */
		border-radius: 5px; /* Zaokrąglone rogi */
		/* Zachowaj resztę stylów */
		margin-left: 0px;
	}
}
